%define name cairomm
%define version 1.12.0
%define api 1.0
%define major       1
%define libname        %mklibname %name %{api}_%{major}
%define libnamedev     %mklibname -d %name %{api}


Summary: C++ API for the cairo multi-platform 2D graphics library
Name: %{name}
Version: %{version}
Release: %mkrel 3
Source0: http://cairographics.org/releases/%{name}-%{version}.tar.xz
License: LGPLv2+
Group: System/Libraries
Url: http://cairographics.org/cairomm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cairo-devel
BuildRequires: sigc++2.0-devel
BuildRequires: doxygen
Obsoletes: 	%{name} < %version


%description
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libname}
Summary:	Cairomm - multi-platform 2D graphics library
Group:		System/Libraries

%description -n %{libname}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libnamedev}
Summary:	Development files for Cairomm library
Group:		Development/Libraries
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release
Provides:	lib%{name}%api-devel = %version-%release
Obsoletes:      %mklibname -d %name 1.0_1

%description -n %libnamedev
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# don't ship .la
find %{buildroot} -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%_libdir/libcairomm-%{api}.so.%{major}*

%files -n %libnamedev
%defattr(644,root,root,755)
%doc %_datadir/doc/cairomm-%api
%_libdir/lib*.so
%_includedir/*
%_libdir/pkgconfig/*.pc
%dir %_libdir/%name-%api/
%dir %_libdir/%name-%api/include
%_libdir/%name-%api/include/*.h
%_datadir/devhelp/books/%name-%api


%changelog
* Tue Sep 12 2017 bb2 <bb2> - 1.12.0-3pclos2017
- rebuild against updates

* Mon Sep 11 2017 bb2 <bb2> - 1.12.0-2pclos2017
- rebuild against updates

* Fri Oct 09 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Apr 07 2011 Texstar <texstar at gmail.com> 1.9.8-1pclos2011
- 1.9.8

* Tue Jan 05 2010 Texstar <texstar at gmail.com> 1.8.4-3pclos2010
- rebuild
